package com.chenyang.nse.bussiness.entity.param.blobmasking;

import com.chenyang.nse.bussiness.entity.orm.table.core.blobmasking.TCoreBlobMaskingTask;
import java.util.HashMap;
import java.util.List;

public class TCoreBlobMaskingTaskCond extends TCoreBlobMaskingTask {
   private HashMap<String, String> rangeMap;
   private List<String> pkList;
   private String pkQueryStr;
   private List<String> pkValList;
   private String pkValueStr;

   public HashMap<String, String> getRangeMap() {
      return this.rangeMap;
   }

   public void setRangeMap(HashMap<String, String> rangeMap) {
      this.rangeMap = rangeMap;
   }

   public List<String> getPkList() {
      return this.pkList;
   }

   public void setPkList(List<String> pkList) {
      this.pkList = pkList;
   }

   public String getPkQueryStr() {
      return this.pkQueryStr;
   }

   public void setPkQueryStr(String pkQueryStr) {
      this.pkQueryStr = pkQueryStr;
   }

   public List<String> getPkValList() {
      return this.pkValList;
   }

   public void setPkValList(List<String> pkValList) {
      this.pkValList = pkValList;
   }

   public String getPkValueStr() {
      return this.pkValueStr;
   }

   public void setPkValueStr(String pkValueStr) {
      this.pkValueStr = pkValueStr;
   }
}
